function sabotage.on_rightclick(pos, node, clicker)
   local name = clicker:get_player_name()
   local player_attributes = clicker:get_meta()
   local mode = player_attributes:get_string('mode')
   local meta = minetest.get_meta(pos)
   local map_id = meta:get_string('map_id')
   local sabotaged = lobby.sabotage[map_id]
   sabotage.player_pos[name] = pos
   if mode == 'traitor' and not sabotaged then
      minetest.show_formspec(name, 'sabotage:traitor', sabotage.traitor_formspec(pos))
   elseif mode == 'builder' then
      if not minetest.is_protected(pos, name) or minetest.check_player_privs(name, {server = true}) then
         minetest.show_formspec(name, 'sabotage:builder', sabotage.builder_formspec(pos))
      end
   elseif mode == 'player' and sabotaged then
      minetest.show_formspec(name, 'sabotage:player', sabotage.player_formspec(pos))
   else
      minetest.chat_send_player(name, 'You can\'t interact with this now.')
   end
end
